SettingsDialog.h
#ifndef __SETTINGSDIALOG_H__
#define __SETTINGSDIALOG_H__
#include "ui/GpgFrontendUI.h"
#include "ui/dialog/GeneralDialog.h"
#include "ui/widgets/KeyList.h"
namespace GpgFrontend::UI {
class GeneralTab;
class AppearanceTab;
class KeyserverTab;
class NetworkTab;
class SettingsDialog : public GeneralDialog {
Q_OBJECT
public:
explicit SettingsDialog(QWidget* parent = nullptr);
GeneralTab* general_tab_;
AppearanceTab* appearance_tab_;
KeyserverTab* key_server_tab_;
NetworkTab* network_tab_;
static QHash<QString, QString> ListLanguages();
public slots:
void SlotAccept();
signals:
void SignalRestartNeeded(bool needed);
private:
QTabWidget* tab_widget_;
QDialogButtonBox* button_box_;
bool restart_needed_{};
bool get_restart_needed() const;
private slots:
void slot_set_restart_needed(bool needed);
};
} // namespace GpgFrontend::UI
#endif // __SETTINGSDIALOG_H__
GpgFrontend::UI
Definition: FileReadTask.cpp:31
GpgFrontend::UI::NetworkTab
Definition: SettingsNetwork.h:37
GpgFrontend::UI::SettingsDialog::get_restart_needed
bool get_restart_needed() const
Get the Restart Needed object.
Definition: SettingsDialog.cpp:88
GpgFrontend::GlobalSettingStation::SyncSettings
void SyncSettings() noexcept
sync the settings to the file
Definition: GlobalSettingStation.cpp:33
GpgFrontend::SingletonFunctionObject< GlobalSettingStation >::GetInstance
static GlobalSettingStation & GetInstance(int channel=GpgFrontend::GPGFRONTEND_DEFAULT_CHANNEL)
Get the Instance object.
Definition: GpgFunctionObject.h:170
GpgFrontend::UI::SettingsDialog::slot_set_restart_needed
void slot_set_restart_needed(bool needed)
Definition: SettingsDialog.cpp:92
GpgFrontend::UI::KeyserverTab
Definition: SettingsKeyServer.h:41
GpgFrontend::UI::AppearanceTab
Definition: SettingsAppearance.h:36
GpgFrontend::UI::GeneralDialog
Definition: GeneralDialog.h:35
GpgFrontend::UI::GeneralTab
Definition: SettingsGeneral.h:43
GpgFrontend::GlobalSettingStation::GetLocaleDir
std::filesystem::path GetLocaleDir() const
Get the Locale Dir object.
Definition: GlobalSettingStation.h:116
GpgFrontend::UI::SettingsDialog
Definition: SettingsDialog.h:47
GpgFrontend::UI::MainWindow::SlotSetRestartNeeded
void SlotSetRestartNeeded(bool needed)
Definition: MainWindowSlotUI.cpp:185
GpgFrontend::UI::SettingsDialog::ListLanguages
static QHash< QString, QString > ListLanguages()
Definition: SettingsDialog.cpp:116
GpgFrontend::UI::SettingsDialog::SettingsDialog
SettingsDialog(QWidget *parent=nullptr)
Construct a new Settings Dialog object.
Definition: SettingsDialog.cpp:41
GpgFrontend::UI::GeneralTab::SignalRestartNeeded
void SignalRestartNeeded(bool needed)
GpgFrontend::UI::SettingsDialog::SignalRestartNeeded
void SignalRestartNeeded(bool needed)